from datetime import datetime
import json
import requests
import lxml
import time
from bs4 import BeautifulSoup
from datetime import date

seq = 1
news = []

today = date.today()  # 拿現在的時間
r = requests.get(
    'https://www.nkust.edu.tw/p/403-1000-1363-1.php?Lang=zh-tw')  # 從高科大目錄擷取

b = BeautifulSoup(r.text, 'lxml') # 用lxml解析
AllDatas = b.select('div.d-txt') # 找到所有的div.d-txt

for Data in AllDatas: # 遍歷所有的div.d-txt
    title = Data.select_one('.mtitle a')['title'] # 找到標題
    postDate = Data.select_one('i.mdate').text  # 找到發布日期
    contents = Data.select('.meditor p')    # 找到內文
    acontent = ""  # 內文
    for content in contents:    # 遍歷內文
        acontent += content.text # 將內文加入acontent
    ds = {  # 建立一個字典
        "seq": seq,
        "title": title,
        "postDate": postDate,
        "content": acontent
    }
    news.append(ds) # 將字典加入news
    seq += 1   # seq + 1

result = { # JSON前置作業
    "date": str(today),
    "news": news
}

#轉換成JSON
r = json.dumps(result, ensure_ascii=False)

#匯出JSON
with open("高科公告.json", "w",encoding='utf-8') as outfile:
    outfile.write(r)
